package com.fr.plugin.login.interception.function;

import com.fr.log.FineLoggerFactory;

import javax.servlet.http.HttpServletRequest;

public class MobileAgents {
    //定义移动端的请求
    private final static String[] AGENTS_MOBILE = {"Android", "iPhone", "iPod", "iPad", "Windows Phone", "MQQBrowser"};

    public static boolean checkAgentIsMobile(HttpServletRequest request){

        String ua = request.getHeader("User-Agent");
        boolean flag = false;
        if(!ua.contains("Windows NT") || (ua.contains("Windows NT") && ua.contains("compatible; MSIE 9.0;"))){
            //排除苹果桌面系统
            if (!ua.contains("Windows NT") && !ua.contains("Macintosh")){
                for (String item : AGENTS_MOBILE){
                    if (ua.contains(item)){
                        FineLoggerFactory.getLogger().info("Device : " + item);
                        flag = true;
                        break;
                    }
                }
            }
        }
        return flag;
    }
}
