package com.fr.plugin.login.webresource;

import com.fr.decision.fun.impl.AbstractWebResourceProvider;
import com.fr.decision.web.LoginComponent;
import com.fr.plugin.transform.FunctionRecorder;
import com.fr.web.struct.Atom;
import com.fr.web.struct.Component;
import com.fr.web.struct.browser.RequestClient;
import com.fr.web.struct.category.ScriptPath;
import com.fr.web.struct.category.StylePath;

/**
 * Created by zhouping on 2019/1/16.
 */
@FunctionRecorder
public class WebResourceProvider extends AbstractWebResourceProvider {
    @Override
    public Atom attach() {
        return LoginComponent.KEY;
    }

    @Override
    public Atom client() {
        return new Component() {
            @Override
            public ScriptPath script(RequestClient requestClient) {
                return ScriptPath.build("/com/fr/plugin/login/js/login.js");
            }

            @Override
            public StylePath style(RequestClient requestClient) {
                return StylePath.EMPTY;
//                return StylePath.build("/com/fr/plugin/jdfSSO/css/icon.css");
            }
        };
    }
}
